Index: projectionDesigner/tag/ProjectionDesigner_1.1.5/projdesigner/ui_qpreferencedialog.h
===================================================================
--- projectionDesigner/tag/ProjectionDesigner_1.1.5/projdesigner/ui_qpreferencedialog.h	(revision 20)
+++ projectionDesigner/tag/ProjectionDesigner_1.1.5/projdesigner/ui_qpreferencedialog.h	(revision 42)
@@ -1,9 +1,9 @@
 /********************************************************************************
-** Form generated from reading ui file 'qpreferencedialog.ui'
+** Form generated from reading UI file 'qpreferencedialog.ui'
 **
-** Created: Tue 28. Apr 15:36:09 2009
-**      by: Qt User Interface Compiler version 4.5.1
+** Created: Wed 19. May 08:35:05 2010
+**      by: Qt User Interface Compiler version 4.6.2
 **
-** WARNING! All changes made in this file will be lost when recompiling ui file!
+** WARNING! All changes made in this file will be lost when recompiling UI file!
 ********************************************************************************/
 
@@ -90,5 +90,5 @@
         QPreferenceDialog->resize(345, 357);
         QIcon icon;
-        icon.addPixmap(QPixmap(QString::fromUtf8(":/new/prefix1/Resources/settings.png")), QIcon::Normal, QIcon::Off);
+        icon.addFile(QString::fromUtf8(":/new/prefix1/Resources/settings.png"), QSize(), QIcon::Normal, QIcon::Off);
         QPreferenceDialog->setWindowIcon(icon);
         hboxLayout = new QHBoxLayout(QPreferenceDialog);
@@ -96,5 +96,5 @@
         hboxLayout->setSpacing(6);
 #endif
-        hboxLayout->setMargin(4);
+        hboxLayout->setContentsMargins(4, 4, 4, 4);
         hboxLayout->setObjectName(QString::fromUtf8("hboxLayout"));
         vboxLayout = new QVBoxLayout();
@@ -103,5 +103,5 @@
 #endif
 #ifndef Q_OS_MAC
-        vboxLayout->setMargin(0);
+        vboxLayout->setContentsMargins(0, 0, 0, 0);
 #endif
         vboxLayout->setObjectName(QString::fromUtf8("vboxLayout"));
@@ -112,5 +112,5 @@
         hboxLayout1->setSpacing(6);
 #endif
-        hboxLayout1->setMargin(4);
+        hboxLayout1->setContentsMargins(4, 4, 4, 4);
         hboxLayout1->setObjectName(QString::fromUtf8("hboxLayout1"));
         hboxLayout2 = new QHBoxLayout();
@@ -119,5 +119,5 @@
 #endif
 #ifndef Q_OS_MAC
-        hboxLayout2->setMargin(0);
+        hboxLayout2->setContentsMargins(0, 0, 0, 0);
 #endif
         hboxLayout2->setObjectName(QString::fromUtf8("hboxLayout2"));
@@ -160,5 +160,5 @@
         hboxLayout3->setSpacing(6);
 #endif
-        hboxLayout3->setMargin(4);
+        hboxLayout3->setContentsMargins(4, 4, 4, 4);
         hboxLayout3->setObjectName(QString::fromUtf8("hboxLayout3"));
         vboxLayout1 = new QVBoxLayout();
@@ -167,5 +167,5 @@
 #endif
 #ifndef Q_OS_MAC
-        vboxLayout1->setMargin(0);
+        vboxLayout1->setContentsMargins(0, 0, 0, 0);
 #endif
         vboxLayout1->setObjectName(QString::fromUtf8("vboxLayout1"));
@@ -175,5 +175,5 @@
 #endif
 #ifndef Q_OS_MAC
-        hboxLayout4->setMargin(0);
+        hboxLayout4->setContentsMargins(0, 0, 0, 0);
 #endif
         hboxLayout4->setObjectName(QString::fromUtf8("hboxLayout4"));
@@ -212,5 +212,5 @@
         hboxLayout5->setSpacing(6);
 #endif
-        hboxLayout5->setMargin(4);
+        hboxLayout5->setContentsMargins(4, 4, 4, 4);
         hboxLayout5->setObjectName(QString::fromUtf8("hboxLayout5"));
         vboxLayout2 = new QVBoxLayout();
@@ -219,5 +219,5 @@
 #endif
 #ifndef Q_OS_MAC
-        vboxLayout2->setMargin(0);
+        vboxLayout2->setContentsMargins(0, 0, 0, 0);
 #endif
         vboxLayout2->setObjectName(QString::fromUtf8("vboxLayout2"));
@@ -227,5 +227,5 @@
 #endif
 #ifndef Q_OS_MAC
-        hboxLayout6->setMargin(0);
+        hboxLayout6->setContentsMargins(0, 0, 0, 0);
 #endif
         hboxLayout6->setObjectName(QString::fromUtf8("hboxLayout6"));
@@ -280,5 +280,5 @@
         hboxLayout7->setSpacing(6);
 #endif
-        hboxLayout7->setMargin(4);
+        hboxLayout7->setContentsMargins(4, 4, 4, 4);
         hboxLayout7->setObjectName(QString::fromUtf8("hboxLayout7"));
         vboxLayout3 = new QVBoxLayout();
@@ -287,5 +287,5 @@
 #endif
 #ifndef Q_OS_MAC
-        vboxLayout3->setMargin(0);
+        vboxLayout3->setContentsMargins(0, 0, 0, 0);
 #endif
         vboxLayout3->setObjectName(QString::fromUtf8("vboxLayout3"));
@@ -295,5 +295,5 @@
 #endif
 #ifndef Q_OS_MAC
-        hboxLayout8->setMargin(0);
+        hboxLayout8->setContentsMargins(0, 0, 0, 0);
 #endif
         hboxLayout8->setObjectName(QString::fromUtf8("hboxLayout8"));
@@ -331,5 +331,5 @@
         hboxLayout9->setSpacing(6);
 #endif
-        hboxLayout9->setMargin(0);
+        hboxLayout9->setContentsMargins(0, 0, 0, 0);
         hboxLayout9->setObjectName(QString::fromUtf8("hboxLayout9"));
         spacerItem4 = new QSpacerItem(10, 20, QSizePolicy::Fixed, QSizePolicy::Minimum);
@@ -342,5 +342,5 @@
 #endif
 #ifndef Q_OS_MAC
-        gridLayout->setMargin(0);
+        gridLayout->setContentsMargins(0, 0, 0, 0);
 #endif
         gridLayout->setObjectName(QString::fromUtf8("gridLayout"));
@@ -462,5 +462,4 @@
         exportBlendMapPatternLabel->setText(QApplication::translate("QPreferenceDialog", "Blend map file", 0, QApplication::UnicodeUTF8));
         pB_ClosePrefDiag->setText(QApplication::translate("QPreferenceDialog", "Close", 0, QApplication::UnicodeUTF8));
-        Q_UNUSED(QPreferenceDialog);
     } // retranslateUi
 
Index: projectionDesigner/tag/ProjectionDesigner_1.1.5/projdesigner/ui_qprojectionmatrixwidget.h
===================================================================
--- projectionDesigner/tag/ProjectionDesigner_1.1.5/projdesigner/ui_qprojectionmatrixwidget.h	(revision 20)
+++ projectionDesigner/tag/ProjectionDesigner_1.1.5/projdesigner/ui_qprojectionmatrixwidget.h	(revision 42)
@@ -1,9 +1,9 @@
 /********************************************************************************
-** Form generated from reading ui file 'qprojectionmatrixwidget.ui'
+** Form generated from reading UI file 'qprojectionmatrixwidget.ui'
 **
-** Created: Mon 27. Apr 14:25:41 2009
-**      by: Qt User Interface Compiler version 4.5.1
+** Created: Wed 19. May 08:35:03 2010
+**      by: Qt User Interface Compiler version 4.6.2
 **
-** WARNING! All changes made in this file will be lost when recompiling ui file!
+** WARNING! All changes made in this file will be lost when recompiling UI file!
 ********************************************************************************/
 
@@ -53,10 +53,10 @@
         if (QProjectionMatrixWidget->objectName().isEmpty())
             QProjectionMatrixWidget->setObjectName(QString::fromUtf8("QProjectionMatrixWidget"));
-        QProjectionMatrixWidget->resize(169, 110);
+        QProjectionMatrixWidget->resize(190, 110);
         hboxLayout = new QHBoxLayout(QProjectionMatrixWidget);
 #ifndef Q_OS_MAC
         hboxLayout->setSpacing(6);
 #endif
-        hboxLayout->setMargin(0);
+        hboxLayout->setContentsMargins(0, 0, 0, 0);
         hboxLayout->setObjectName(QString::fromUtf8("hboxLayout"));
         projectionGroup = new QGroupBox(QProjectionMatrixWidget);
@@ -66,5 +66,5 @@
         hboxLayout1->setSpacing(6);
 #endif
-        hboxLayout1->setMargin(0);
+        hboxLayout1->setContentsMargins(0, 0, 0, 0);
         hboxLayout1->setObjectName(QString::fromUtf8("hboxLayout1"));
         vboxLayout = new QVBoxLayout();
@@ -72,5 +72,5 @@
         vboxLayout->setSpacing(6);
 #endif
-        vboxLayout->setMargin(4);
+        vboxLayout->setContentsMargins(4, 4, 4, 4);
         vboxLayout->setObjectName(QString::fromUtf8("vboxLayout"));
         hboxLayout2 = new QHBoxLayout();
@@ -79,5 +79,5 @@
 #endif
 #ifndef Q_OS_MAC
-        hboxLayout2->setMargin(0);
+        hboxLayout2->setContentsMargins(0, 0, 0, 0);
 #endif
         hboxLayout2->setObjectName(QString::fromUtf8("hboxLayout2"));
@@ -109,5 +109,5 @@
         hboxLayout3->setSpacing(6);
 #endif
-        hboxLayout3->setMargin(0);
+        hboxLayout3->setContentsMargins(0, 0, 0, 0);
         hboxLayout3->setObjectName(QString::fromUtf8("hboxLayout3"));
         nearLabel = new QLabel(projectionGroup);
@@ -138,5 +138,5 @@
         hboxLayout4->setSpacing(6);
 #endif
-        hboxLayout4->setMargin(0);
+        hboxLayout4->setContentsMargins(0, 0, 0, 0);
         hboxLayout4->setObjectName(QString::fromUtf8("hboxLayout4"));
         offaxisLabel = new QLabel(projectionGroup);
@@ -194,5 +194,4 @@
         offaxisXLabel->setText(QApplication::translate("QProjectionMatrixWidget", "X", 0, QApplication::UnicodeUTF8));
         offaxisYLabel->setText(QApplication::translate("QProjectionMatrixWidget", "Y", 0, QApplication::UnicodeUTF8));
-        Q_UNUSED(QProjectionMatrixWidget);
     } // retranslateUi
 
Index: projectionDesigner/tag/ProjectionDesigner_1.1.5/projdesigner/ui_qscenewidget.h
===================================================================
--- projectionDesigner/tag/ProjectionDesigner_1.1.5/projdesigner/ui_qscenewidget.h	(revision 20)
+++ projectionDesigner/tag/ProjectionDesigner_1.1.5/projdesigner/ui_qscenewidget.h	(revision 42)
@@ -1,9 +1,9 @@
 /********************************************************************************
-** Form generated from reading ui file 'qscenewidget.ui'
+** Form generated from reading UI file 'qscenewidget.ui'
 **
-** Created: Mon 27. Apr 14:25:31 2009
-**      by: Qt User Interface Compiler version 4.5.1
+** Created: Wed 19. May 08:34:59 2010
+**      by: Qt User Interface Compiler version 4.6.2
 **
-** WARNING! All changes made in this file will be lost when recompiling ui file!
+** WARNING! All changes made in this file will be lost when recompiling UI file!
 ********************************************************************************/
 
@@ -69,5 +69,5 @@
         hboxLayout->setSpacing(6);
 #endif
-        hboxLayout->setMargin(4);
+        hboxLayout->setContentsMargins(4, 4, 4, 4);
         hboxLayout->setObjectName(QString::fromUtf8("hboxLayout"));
         vboxLayout = new QVBoxLayout();
@@ -76,5 +76,5 @@
 #endif
 #ifndef Q_OS_MAC
-        vboxLayout->setMargin(0);
+        vboxLayout->setContentsMargins(0, 0, 0, 0);
 #endif
         vboxLayout->setObjectName(QString::fromUtf8("vboxLayout"));
@@ -91,5 +91,5 @@
         hboxLayout1->setSpacing(6);
 #endif
-        hboxLayout1->setMargin(4);
+        hboxLayout1->setContentsMargins(4, 4, 4, 4);
         hboxLayout1->setObjectName(QString::fromUtf8("hboxLayout1"));
         vboxLayout1 = new QVBoxLayout();
@@ -98,5 +98,5 @@
 #endif
 #ifndef Q_OS_MAC
-        vboxLayout1->setMargin(0);
+        vboxLayout1->setContentsMargins(0, 0, 0, 0);
 #endif
         vboxLayout1->setObjectName(QString::fromUtf8("vboxLayout1"));
@@ -106,5 +106,5 @@
 #endif
 #ifndef Q_OS_MAC
-        hboxLayout2->setMargin(0);
+        hboxLayout2->setContentsMargins(0, 0, 0, 0);
 #endif
         hboxLayout2->setObjectName(QString::fromUtf8("hboxLayout2"));
@@ -148,5 +148,5 @@
         hboxLayout3->setSpacing(6);
 #endif
-        hboxLayout3->setMargin(0);
+        hboxLayout3->setContentsMargins(0, 0, 0, 0);
         hboxLayout3->setObjectName(QString::fromUtf8("hboxLayout3"));
         sceneSizeLabel = new QLabel(QSceneWidget);
@@ -172,5 +172,5 @@
         hboxLayout4->setSpacing(6);
 #endif
-        hboxLayout4->setMargin(0);
+        hboxLayout4->setContentsMargins(0, 0, 0, 0);
         hboxLayout4->setObjectName(QString::fromUtf8("hboxLayout4"));
         gridCheckBox = new QCheckBox(QSceneWidget);
@@ -201,5 +201,5 @@
         hboxLayout5->setSpacing(6);
 #endif
-        hboxLayout5->setMargin(0);
+        hboxLayout5->setContentsMargins(0, 0, 0, 0);
         hboxLayout5->setObjectName(QString::fromUtf8("hboxLayout5"));
         spacerItem3 = new QSpacerItem(40, 20, QSizePolicy::Expanding, QSizePolicy::Minimum);
@@ -249,5 +249,4 @@
         centerViewButton->setText(QApplication::translate("QSceneWidget", "Center View", 0, QApplication::UnicodeUTF8));
         viewAllButton->setText(QApplication::translate("QSceneWidget", "ViewAll", 0, QApplication::UnicodeUTF8));
-        Q_UNUSED(QSceneWidget);
     } // retranslateUi
 
Index: projectionDesigner/tag/ProjectionDesigner_1.1.5/projdesigner/ui_qscreenwidget.h
===================================================================
--- projectionDesigner/tag/ProjectionDesigner_1.1.5/projdesigner/ui_qscreenwidget.h	(revision 20)
+++ projectionDesigner/tag/ProjectionDesigner_1.1.5/projdesigner/ui_qscreenwidget.h	(revision 42)
@@ -1,9 +1,9 @@
 /********************************************************************************
-** Form generated from reading ui file 'qscreenwidget.ui'
+** Form generated from reading UI file 'qscreenwidget.ui'
 **
-** Created: Mon 27. Apr 14:25:27 2009
-**      by: Qt User Interface Compiler version 4.5.1
+** Created: Wed 19. May 08:34:56 2010
+**      by: Qt User Interface Compiler version 4.6.2
 **
-** WARNING! All changes made in this file will be lost when recompiling ui file!
+** WARNING! All changes made in this file will be lost when recompiling UI file!
 ********************************************************************************/
 
@@ -111,10 +111,10 @@
         if (QScreenWidget->objectName().isEmpty())
             QScreenWidget->setObjectName(QString::fromUtf8("QScreenWidget"));
-        QScreenWidget->resize(183, 222);
+        QScreenWidget->resize(197, 242);
         hboxLayout = new QHBoxLayout(QScreenWidget);
 #ifndef Q_OS_MAC
         hboxLayout->setSpacing(6);
 #endif
-        hboxLayout->setMargin(4);
+        hboxLayout->setContentsMargins(4, 4, 4, 4);
         hboxLayout->setObjectName(QString::fromUtf8("hboxLayout"));
         vboxLayout = new QVBoxLayout();
@@ -123,5 +123,5 @@
 #endif
 #ifndef Q_OS_MAC
-        vboxLayout->setMargin(0);
+        vboxLayout->setContentsMargins(0, 0, 0, 0);
 #endif
         vboxLayout->setObjectName(QString::fromUtf8("vboxLayout"));
@@ -138,5 +138,5 @@
         hboxLayout1->setSpacing(6);
 #endif
-        hboxLayout1->setMargin(4);
+        hboxLayout1->setContentsMargins(4, 4, 4, 4);
         hboxLayout1->setObjectName(QString::fromUtf8("hboxLayout1"));
         vboxLayout1 = new QVBoxLayout();
@@ -145,5 +145,5 @@
 #endif
 #ifndef Q_OS_MAC
-        vboxLayout1->setMargin(0);
+        vboxLayout1->setContentsMargins(0, 0, 0, 0);
 #endif
         vboxLayout1->setObjectName(QString::fromUtf8("vboxLayout1"));
@@ -153,5 +153,5 @@
 #endif
 #ifndef Q_OS_MAC
-        hboxLayout2->setMargin(0);
+        hboxLayout2->setContentsMargins(0, 0, 0, 0);
 #endif
         hboxLayout2->setObjectName(QString::fromUtf8("hboxLayout2"));
@@ -182,5 +182,5 @@
         hboxLayout3->setSpacing(6);
 #endif
-        hboxLayout3->setMargin(4);
+        hboxLayout3->setContentsMargins(4, 4, 4, 4);
         hboxLayout3->setObjectName(QString::fromUtf8("hboxLayout3"));
         vboxLayout2 = new QVBoxLayout();
@@ -189,5 +189,5 @@
 #endif
 #ifndef Q_OS_MAC
-        vboxLayout2->setMargin(0);
+        vboxLayout2->setContentsMargins(0, 0, 0, 0);
 #endif
         vboxLayout2->setObjectName(QString::fromUtf8("vboxLayout2"));
@@ -197,5 +197,5 @@
 #endif
 #ifndef Q_OS_MAC
-        hboxLayout4->setMargin(0);
+        hboxLayout4->setContentsMargins(0, 0, 0, 0);
 #endif
         hboxLayout4->setObjectName(QString::fromUtf8("hboxLayout4"));
@@ -217,5 +217,5 @@
         hboxLayout5->setSpacing(6);
 #endif
-        hboxLayout5->setMargin(0);
+        hboxLayout5->setContentsMargins(0, 0, 0, 0);
         hboxLayout5->setObjectName(QString::fromUtf8("hboxLayout5"));
         domeAzimResLabel = new QLabel(domePage);
@@ -226,6 +226,6 @@
         domeAzimResSpinBox = new QSpinBox(domePage);
         domeAzimResSpinBox->setObjectName(QString::fromUtf8("domeAzimResSpinBox"));
+        domeAzimResSpinBox->setMinimum(2);
         domeAzimResSpinBox->setMaximum(128);
-        domeAzimResSpinBox->setMinimum(2);
 
         hboxLayout5->addWidget(domeAzimResSpinBox);
@@ -238,5 +238,5 @@
         hboxLayout6->setSpacing(6);
 #endif
-        hboxLayout6->setMargin(0);
+        hboxLayout6->setContentsMargins(0, 0, 0, 0);
         hboxLayout6->setObjectName(QString::fromUtf8("hboxLayout6"));
         domeElevResLabel = new QLabel(domePage);
@@ -247,6 +247,6 @@
         domeElevResSpinBox = new QSpinBox(domePage);
         domeElevResSpinBox->setObjectName(QString::fromUtf8("domeElevResSpinBox"));
+        domeElevResSpinBox->setMinimum(2);
         domeElevResSpinBox->setMaximum(128);
-        domeElevResSpinBox->setMinimum(2);
 
         hboxLayout6->addWidget(domeElevResSpinBox);
@@ -259,5 +259,5 @@
         hboxLayout7->setSpacing(6);
 #endif
-        hboxLayout7->setMargin(0);
+        hboxLayout7->setContentsMargins(0, 0, 0, 0);
         hboxLayout7->setObjectName(QString::fromUtf8("hboxLayout7"));
         domeSubdivLabel = new QLabel(domePage);
@@ -268,6 +268,6 @@
         domeSubdivSpinBox = new QSpinBox(domePage);
         domeSubdivSpinBox->setObjectName(QString::fromUtf8("domeSubdivSpinBox"));
+        domeSubdivSpinBox->setMinimum(1);
         domeSubdivSpinBox->setMaximum(8);
-        domeSubdivSpinBox->setMinimum(1);
 
         hboxLayout7->addWidget(domeSubdivSpinBox);
@@ -295,5 +295,5 @@
         hboxLayout8->setSpacing(6);
 #endif
-        hboxLayout8->setMargin(4);
+        hboxLayout8->setContentsMargins(4, 4, 4, 4);
         hboxLayout8->setObjectName(QString::fromUtf8("hboxLayout8"));
         vboxLayout3 = new QVBoxLayout();
@@ -302,5 +302,5 @@
 #endif
 #ifndef Q_OS_MAC
-        vboxLayout3->setMargin(0);
+        vboxLayout3->setContentsMargins(0, 0, 0, 0);
 #endif
         vboxLayout3->setObjectName(QString::fromUtf8("vboxLayout3"));
@@ -310,5 +310,5 @@
 #endif
 #ifndef Q_OS_MAC
-        gridLayout->setMargin(0);
+        gridLayout->setContentsMargins(0, 0, 0, 0);
 #endif
         gridLayout->setObjectName(QString::fromUtf8("gridLayout"));
@@ -325,6 +325,6 @@
         planeHorResSpinBox = new QSpinBox(planePage);
         planeHorResSpinBox->setObjectName(QString::fromUtf8("planeHorResSpinBox"));
+        planeHorResSpinBox->setMinimum(1);
         planeHorResSpinBox->setMaximum(128);
-        planeHorResSpinBox->setMinimum(1);
 
         gridLayout->addWidget(planeHorResSpinBox, 0, 3, 1, 1);
@@ -352,6 +352,6 @@
         planeVertResSpinBox = new QSpinBox(planePage);
         planeVertResSpinBox->setObjectName(QString::fromUtf8("planeVertResSpinBox"));
+        planeVertResSpinBox->setMinimum(1);
         planeVertResSpinBox->setMaximum(128);
-        planeVertResSpinBox->setMinimum(1);
 
         gridLayout->addWidget(planeVertResSpinBox, 1, 3, 1, 1);
@@ -374,5 +374,5 @@
         hboxLayout9->setSpacing(6);
 #endif
-        hboxLayout9->setMargin(4);
+        hboxLayout9->setContentsMargins(4, 4, 4, 4);
         hboxLayout9->setObjectName(QString::fromUtf8("hboxLayout9"));
         vboxLayout4 = new QVBoxLayout();
@@ -381,5 +381,5 @@
 #endif
 #ifndef Q_OS_MAC
-        vboxLayout4->setMargin(0);
+        vboxLayout4->setContentsMargins(0, 0, 0, 0);
 #endif
         vboxLayout4->setObjectName(QString::fromUtf8("vboxLayout4"));
@@ -389,11 +389,11 @@
 #endif
 #ifndef Q_OS_MAC
-        gridLayout1->setMargin(0);
+        gridLayout1->setContentsMargins(0, 0, 0, 0);
 #endif
         gridLayout1->setObjectName(QString::fromUtf8("gridLayout1"));
         boxVertResSpinBox = new QSpinBox(boxPage);
         boxVertResSpinBox->setObjectName(QString::fromUtf8("boxVertResSpinBox"));
+        boxVertResSpinBox->setMinimum(1);
         boxVertResSpinBox->setMaximum(128);
-        boxVertResSpinBox->setMinimum(1);
 
         gridLayout1->addWidget(boxVertResSpinBox, 1, 3, 1, 1);
@@ -426,6 +426,6 @@
         boxHorResSpinBox = new QSpinBox(boxPage);
         boxHorResSpinBox->setObjectName(QString::fromUtf8("boxHorResSpinBox"));
+        boxHorResSpinBox->setMinimum(1);
         boxHorResSpinBox->setMaximum(128);
-        boxHorResSpinBox->setMinimum(1);
 
         gridLayout1->addWidget(boxHorResSpinBox, 0, 3, 1, 1);
@@ -433,6 +433,6 @@
         boxDepthResSpinBox = new QSpinBox(boxPage);
         boxDepthResSpinBox->setObjectName(QString::fromUtf8("boxDepthResSpinBox"));
+        boxDepthResSpinBox->setMinimum(1);
         boxDepthResSpinBox->setMaximum(128);
-        boxDepthResSpinBox->setMinimum(1);
 
         gridLayout1->addWidget(boxDepthResSpinBox, 2, 3, 1, 1);
@@ -475,5 +475,5 @@
         hboxLayout10->setSpacing(6);
 #endif
-        hboxLayout10->setMargin(4);
+        hboxLayout10->setContentsMargins(4, 4, 4, 4);
         hboxLayout10->setObjectName(QString::fromUtf8("hboxLayout10"));
         vboxLayout5 = new QVBoxLayout();
@@ -482,5 +482,5 @@
 #endif
 #ifndef Q_OS_MAC
-        vboxLayout5->setMargin(0);
+        vboxLayout5->setContentsMargins(0, 0, 0, 0);
 #endif
         vboxLayout5->setObjectName(QString::fromUtf8("vboxLayout5"));
@@ -490,5 +490,5 @@
 #endif
 #ifndef Q_OS_MAC
-        hboxLayout11->setMargin(0);
+        hboxLayout11->setContentsMargins(0, 0, 0, 0);
 #endif
         hboxLayout11->setObjectName(QString::fromUtf8("hboxLayout11"));
@@ -505,5 +505,5 @@
         modelBrowseButton = new QPushButton(modelPage);
         modelBrowseButton->setObjectName(QString::fromUtf8("modelBrowseButton"));
-        QSizePolicy sizePolicy(static_cast<QSizePolicy::Policy>(0), static_cast<QSizePolicy::Policy>(0));
+        QSizePolicy sizePolicy(QSizePolicy::Fixed, QSizePolicy::Fixed);
         sizePolicy.setHorizontalStretch(0);
         sizePolicy.setVerticalStretch(0);
@@ -538,5 +538,5 @@
         hboxLayout12->setSpacing(6);
 #endif
-        hboxLayout12->setMargin(0);
+        hboxLayout12->setContentsMargins(0, 0, 0, 0);
         hboxLayout12->setObjectName(QString::fromUtf8("hboxLayout12"));
         frameCheckBox = new QCheckBox(QScreenWidget);
@@ -552,6 +552,6 @@
         frameLineWidthSpinBox = new QSpinBox(QScreenWidget);
         frameLineWidthSpinBox->setObjectName(QString::fromUtf8("frameLineWidthSpinBox"));
+        frameLineWidthSpinBox->setMinimum(1);
         frameLineWidthSpinBox->setMaximum(4);
-        frameLineWidthSpinBox->setMinimum(1);
 
         hboxLayout12->addWidget(frameLineWidthSpinBox);
@@ -617,5 +617,4 @@
         frameCheckBox->setText(QApplication::translate("QScreenWidget", "Wireframe", 0, QApplication::UnicodeUTF8));
         frameLineWidthLabel->setText(QApplication::translate("QScreenWidget", "Width", 0, QApplication::UnicodeUTF8));
-        Q_UNUSED(QScreenWidget);
     } // retranslateUi
 
Index: projectionDesigner/tag/ProjectionDesigner_1.1.5/projdesigner/ui_qsetupdialog.h
===================================================================
--- projectionDesigner/tag/ProjectionDesigner_1.1.5/projdesigner/ui_qsetupdialog.h	(revision 20)
+++ projectionDesigner/tag/ProjectionDesigner_1.1.5/projdesigner/ui_qsetupdialog.h	(revision 42)
@@ -1,9 +1,9 @@
 /********************************************************************************
-** Form generated from reading ui file 'qsetupdialog.ui'
+** Form generated from reading UI file 'qsetupdialog.ui'
 **
-** Created: Mon 27. Apr 14:26:16 2009
-**      by: Qt User Interface Compiler version 4.5.1
+** Created: Wed 19. May 08:35:26 2010
+**      by: Qt User Interface Compiler version 4.6.2
 **
-** WARNING! All changes made in this file will be lost when recompiling ui file!
+** WARNING! All changes made in this file will be lost when recompiling UI file!
 ********************************************************************************/
 
@@ -60,5 +60,5 @@
         hboxLayout->setSpacing(6);
 #endif
-        hboxLayout->setMargin(0);
+        hboxLayout->setContentsMargins(0, 0, 0, 0);
         hboxLayout->setObjectName(QString::fromUtf8("hboxLayout"));
         tabWidget = new QTabWidget(QSetupDialog);
@@ -70,5 +70,5 @@
         hboxLayout1->setSpacing(6);
 #endif
-        hboxLayout1->setMargin(4);
+        hboxLayout1->setContentsMargins(4, 4, 4, 4);
         hboxLayout1->setObjectName(QString::fromUtf8("hboxLayout1"));
         vboxLayout = new QVBoxLayout();
@@ -77,5 +77,5 @@
 #endif
 #ifndef Q_OS_MAC
-        vboxLayout->setMargin(0);
+        vboxLayout->setContentsMargins(0, 0, 0, 0);
 #endif
         vboxLayout->setObjectName(QString::fromUtf8("vboxLayout"));
@@ -89,5 +89,5 @@
         channelGroup = new QGroupBox(channelsTab);
         channelGroup->setObjectName(QString::fromUtf8("channelGroup"));
-        QSizePolicy sizePolicy(static_cast<QSizePolicy::Policy>(5), static_cast<QSizePolicy::Policy>(5));
+        QSizePolicy sizePolicy(QSizePolicy::Preferred, QSizePolicy::Preferred);
         sizePolicy.setHorizontalStretch(0);
         sizePolicy.setVerticalStretch(1);
@@ -98,5 +98,5 @@
         hboxLayout2->setSpacing(6);
 #endif
-        hboxLayout2->setMargin(4);
+        hboxLayout2->setContentsMargins(4, 4, 4, 4);
         hboxLayout2->setObjectName(QString::fromUtf8("hboxLayout2"));
         channel = new projection::QChannelWidget(channelGroup);
@@ -123,5 +123,5 @@
         vboxLayout1->setSpacing(6);
 #endif
-        vboxLayout1->setMargin(0);
+        vboxLayout1->setContentsMargins(0, 0, 0, 0);
         vboxLayout1->setObjectName(QString::fromUtf8("vboxLayout1"));
         screen = new projection::QScreenWidget(screenTab);
@@ -141,5 +141,5 @@
         vboxLayout2->setSpacing(6);
 #endif
-        vboxLayout2->setMargin(0);
+        vboxLayout2->setContentsMargins(0, 0, 0, 0);
         vboxLayout2->setObjectName(QString::fromUtf8("vboxLayout2"));
         scene = new projection::QSceneWidget(sceneTab);
@@ -171,5 +171,4 @@
         tabWidget->setTabText(tabWidget->indexOf(screenTab), QApplication::translate("QSetupDialog", "Screen", 0, QApplication::UnicodeUTF8));
         tabWidget->setTabText(tabWidget->indexOf(sceneTab), QApplication::translate("QSetupDialog", "Scene", 0, QApplication::UnicodeUTF8));
-        Q_UNUSED(QSetupDialog);
     } // retranslateUi
 
Index: projectionDesigner/tag/ProjectionDesigner_1.1.5/projdesigner/ui_qtransformmatrixwidget.h
===================================================================
--- projectionDesigner/tag/ProjectionDesigner_1.1.5/projdesigner/ui_qtransformmatrixwidget.h	(revision 20)
+++ projectionDesigner/tag/ProjectionDesigner_1.1.5/projdesigner/ui_qtransformmatrixwidget.h	(revision 42)
@@ -1,9 +1,9 @@
 /********************************************************************************
-** Form generated from reading ui file 'qtransformmatrixwidget.ui'
+** Form generated from reading UI file 'qtransformmatrixwidget.ui'
 **
-** Created: Mon 27. Apr 14:25:23 2009
-**      by: Qt User Interface Compiler version 4.5.1
+** Created: Wed 19. May 08:34:54 2010
+**      by: Qt User Interface Compiler version 4.6.2
 **
-** WARNING! All changes made in this file will be lost when recompiling ui file!
+** WARNING! All changes made in this file will be lost when recompiling UI file!
 ********************************************************************************/
 
@@ -49,10 +49,10 @@
         if (QTransformMatrixWidget->objectName().isEmpty())
             QTransformMatrixWidget->setObjectName(QString::fromUtf8("QTransformMatrixWidget"));
-        QTransformMatrixWidget->resize(179, 78);
+        QTransformMatrixWidget->resize(203, 95);
         hboxLayout = new QHBoxLayout(QTransformMatrixWidget);
 #ifndef Q_OS_MAC
         hboxLayout->setSpacing(6);
 #endif
-        hboxLayout->setMargin(0);
+        hboxLayout->setContentsMargins(0, 0, 0, 0);
         hboxLayout->setObjectName(QString::fromUtf8("hboxLayout"));
         transformGroup = new QGroupBox(QTransformMatrixWidget);
@@ -62,5 +62,5 @@
         hboxLayout1->setSpacing(6);
 #endif
-        hboxLayout1->setMargin(0);
+        hboxLayout1->setContentsMargins(0, 0, 0, 0);
         hboxLayout1->setObjectName(QString::fromUtf8("hboxLayout1"));
         gridLayout = new QGridLayout();
@@ -68,5 +68,5 @@
         gridLayout->setSpacing(6);
 #endif
-        gridLayout->setMargin(4);
+        gridLayout->setContentsMargins(4, 4, 4, 4);
         gridLayout->setObjectName(QString::fromUtf8("gridLayout"));
         posZEdit = new QLineEdit(transformGroup);
@@ -154,5 +154,4 @@
         rotLabel->setText(QApplication::translate("QTransformMatrixWidget", "Rot", 0, QApplication::UnicodeUTF8));
         scaleLabel->setText(QApplication::translate("QTransformMatrixWidget", "Scale", 0, QApplication::UnicodeUTF8));
-        Q_UNUSED(QTransformMatrixWidget);
     } // retranslateUi
 
